import React from 'react';
import type { IExecutionStageLabelProps } from '../../../../domain';
export interface IExecutionBarLabelProps extends IExecutionStageLabelProps {
    tooltip?: JSX.Element;
}
export interface IExecutionBarLabelState {
    hydrated: boolean;
}
export declare class ExecutionBarLabel extends React.Component<IExecutionBarLabelProps, IExecutionBarLabelState> {
    private mounted;
    constructor(props: IExecutionBarLabelProps);
    private hydrate;
    private requiresHydration;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private DefaultLabel;
    private getExecutionWindowTemplate;
    private getWaitForConditionTemplate;
    private getRenderableStageName;
    render(): JSX.Element;
}
